## Notice of Third Party Software Licenses

napari may be [installed][napari_installers] through a variety of methods. Particularly, the
bundled installers may include third party software packages or tools licensed under different
terms. These licenses may be accessed from within the resulting napari installation or
https://napari.org.

<!-- Links -->

[napari_installers]: https://napari.org/stable/#installation

<!-- List of EULAs starts here -->
<!--
    Manually collected from the license artifacts found in the conda bundle CI.
    Tip: Most licenses that need to be included are marked with a `LicenseRef-` prefix.
-->

Intel® OpenMP

<!-- Taken from conda-forge/win-64::intel-openmp-2022.0.0-h57928b3_3663 -->

```
Intel Simplified Software License (Version August 2021)

Use and Redistribution. You may use and redistribute the software (the
"Software"), without modification, provided the following conditions are met:

* Redistributions must reproduce the above copyright notice and the following
  terms of use in the Software and in the documentation and/or other materials
  provided with the distribution.
* Neither the name of Intel nor the names of its suppliers may be used to
  endorse or promote products derived from this Software without specific
  prior written permission.
* No reverse engineering, decompilation, or disassembly of this Software is
  permitted.

No other licenses. Except as provided in the preceding section, Intel grants no
licenses or other rights by implication, estoppel or otherwise to, patent,
copyright, trademark, trade name, service mark or other intellectual property
licenses or rights of Intel.

Third party software. The Software may contain Third Party Software. "Third
Party Software" is open source software, third party software, or other Intel
software that may be identified in the Software itself or in the files (if any)
listed in the "third-party-software.txt" or similarly named text file included
with the Software. Third Party Software, even if included with the distribution
of the Software, may be governed by separate license terms, including without
limitation, open source software license terms, third party software license
terms, and other Intel software license terms. Those separate license terms
solely govern your use of the Third Party Software, and nothing in this license
limits any rights under, or grants rights that supersede, the terms of the
applicable license terms.

DISCLAIMER. THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT ARE
DISCLAIMED. THIS SOFTWARE IS NOT INTENDED FOR USE IN SYSTEMS OR APPLICATIONS
WHERE FAILURE OF THE SOFTWARE MAY CAUSE PERSONAL INJURY OR DEATH AND YOU AGREE
THAT YOU ARE FULLY RESPONSIBLE FOR ANY CLAIMS, COSTS, DAMAGES, EXPENSES, AND
ATTORNEYS' FEES ARISING OUT OF ANY SUCH USE, EVEN IF ANY CLAIM ALLEGES THAT
INTEL WAS NEGLIGENT REGARDING THE DESIGN OR MANUFACTURE OF THE SOFTWARE.

LIMITATION OF LIABILITY. IN NO EVENT WILL INTEL BE LIABLE FOR ANY DIRECT,
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

No support. Intel may make changes to the Software, at any time without notice,
and is not obligated to support, update or provide training for the Software.

Termination. Your right to use the Software is terminated in the event of your
breach of this license.

Feedback. Should you provide Intel with comments, modifications, corrections,
enhancements or other input ("Feedback") related to the Software, Intel will be
free to use, disclose, reproduce, license or otherwise distribute or exploit the
Feedback in its sole discretion without any obligations or restrictions of any
kind, including without limitation, intellectual property rights or licensing
obligations.

Compliance with laws. You agree to comply with all relevant laws and regulations
governing your use, transfer, import or export (or prohibition thereof) of the
Software.

Governing law. All disputes will be governed by the laws of the United States of
America and the State of Delaware without reference to conflict of law
principles and subject to the exclusive jurisdiction of the state or federal
courts sitting in the State of Delaware, and each party agrees that it submits
to the personal jurisdiction and venue of those courts and waives any
objections. The United Nations Convention on Contracts for the International
Sale of Goods (1980) is specifically excluded and will not apply to the
Software.
```

Intel® Math Kernel Library

<!-- Taken from conda-forge/win-64::mkl-2022.0.0-h0e2418a_796 -->

```
Intel End User License Agreement for Developer Tools (Version October 2021)

IMPORTANT NOTICE - PLEASE READ AND AGREE BEFORE DOWNLOADING, INSTALLING, COPYING
OR USING

This Agreement is between you, or the company or other legal entity that you
represent and warrant you have the legal authority to bind, (each, "You" or
"Your") and Intel Corporation and its subsidiaries (collectively, "Intel")
regarding Your use of the Materials. By downloading, installing, copying or
using the Materials, You agree to be bound by the terms of this Agreement. If
You do not agree to the terms of this Agreement, or do not have legal authority
or required age to agree to them, do not download, install, copy or use the
Materials.

1. LICENSE DEFINITIONS.

 A. "Cloud Provider" means a third party service provider offering a cloud-based
    platform, infrastructure, application or storage services, such as Microsoft
    Azure or Amazon Web Services, which You may only utilize to host the
    Materials subject to the restrictions set forth in Section 2.3 B.

 B. "Derivative Work" means a derivative work, as defined in 17 U.S.C. 101, of
    the Source Code.

 C. "Executable Code" means computer programming code in binary form suitable
    for machine execution by a processor without the intervening steps of
    interpretation or compilation.

 D. "Materials" mean the software, documentation, the software product serial
    number, and other collateral, including any updates, made available to You
    by Intel under this Agreement. Materials include Redistributables,
    Executable Code, Source Code, Sample Source Code, and Pre-Release Materials,
    but do not include Third Party Software.

 E. "Pre-Release Materials" mean the Materials, or portions of the Materials,
    that are identified (in the product release notes, on Intel's download
    website for the Materials or elsewhere) or labeled as pre-release,
    prototype, alpha or beta code and, as such, are deemed to be pre-release
    code (i) which may not be fully functional or tested and may contain bugs or
    errors; (ii) which Intel may substantially modify in its development of a
    production version; or (iii) for which Intel makes no assurances that it
    will ever develop or make a production version generally available.
    Pre-Release Materials are subject to the terms of Section 3.2.

 F. "Reciprocal Open Source Software" means any software that is subject to a
    license which requires that (i) it must be distributed in source code form;
    (ii) it must be licensed under the same open source license terms; and (iii)
    its derivative works must be licensed under the same open source license
    terms. Examples of this type of license are the GNU General Public License
    or the Mozilla Public License.

 G. "Redistributables" mean the files (if any) listed in the "redist.txt,"
    "redist-rt.txt" or similarly-named text files that may be included in the
    Materials. Redistributables include Sample Source Code.

 H. "Sample Source Code" means those portions of the Materials that are Source
    Code and are identified as sample code. Sample Source Code may not have been
    tested or validated by Intel and is provided purely as a programming example.

 I. "Source Code" means the software portion of the Materials provided in human
    readable format.

 J. "Third Party Software" mean the files (if any) listed in the
    "third-party-software.txt" or other similarly-named text file that may be
    included in the Materials for the applicable software. Third Party Software
    is subject to the terms of Section 2.2.

 K. "Your Product" means one or more applications, products or projects
    developed by or for You using the Materials.

2. LICENSE GRANTS.

2.1 License to the Materials. Subject to the terms and conditions of this
    Agreement, Intel grants You a non-exclusive, worldwide, non-assignable,
    non-sublicensable, limited right and license under its copyrights, to:

 A. reproduce internally a reasonable number of copies of the Materials for Your
    personal or business use;

 B. use the Materials solely for Your personal or business use to develop Your
    Product, in accordance with the documentation included as part of the
    Materials;

 C. modify or create Derivative Works only of the Redistributables, or any
    portions, that are provided to You in Source Code;

 D. distribute (directly and through Your distributors, resellers, and other
    channel partners, if applicable), the Redistributables, including any
    modifications to or Derivative Works of the Redistributables or any portions
    made pursuant to Section 2.1.C subject to the following conditions:

  (1) Any distribution of the Redistributables must only be as part of Your
      Product which must add significant primary functionality different than
      that of the Redistributables themselves;

  (2) You must only distribute the Redistributables originally provided to You
      by Intel only in Executable Code subject to a license agreement that
      prohibits reverse engineering, decompiling or disassembling the
      Redistributables;

  (3) This distribution right includes a limited right to sublicense only the
      Intel copyrights in the Redistributables and only to the extent necessary
      to perform, display, and distribute the Redistributables (including Your
      modifications and Derivative Works of the Redistributables provided in
      Source Code) solely as incorporated in Your Product; and

  (4) You: (i) will be solely responsible to Your customers for any update,
      support obligation or other obligation or liability which may arise from
      the distribution of Your Product, (ii) will not make any statement that
      Your Product is "certified" or that its performance is guaranteed by Intel
      or its suppliers, (iii) will not use Intel's or its suppliers' names or
      trademarks to market Your Product, (iv) will comply with any additional
      restrictions which are included in the text files with the
      Redistributables and in Section 3 below, (v) will indemnify, hold
      harmless, and defend Intel and its suppliers from and against any claims
      or lawsuits, costs, damages, and expenses, including attorney's fees, that
      arise or result from (a) Your modifications or Derivative Works of the
      Materials or (b) Your distribution of Your Product.

2.2 Third Party Software. Third Party Software, even if included with the
    distribution of the Materials, may be governed by separate license terms,
    including without limitation, third party license terms, open source
    software notices and terms, and/or other Intel software license terms. These
    separate license terms solely govern Your use of the Third Party Software.

2.3 Third Party Use.

 A. If You are an entity, Your contractors may use the Materials under the
    license specified in Section 2, provided: (i) their use of the Materials is
    solely on behalf of and in support of Your business, (ii) they agree to the
    terms and conditions of this Agreement, and (iii) You are solely responsible
    for their use, misuse or disclosure of the Materials.

 B. You may utilize a Cloud Provider to host the Materials for You, provided:
    (i) the Cloud Provider may only host the Materials for Your exclusive use
   and may not use the Materials for any other purpose whatsoever, including the
   restriction set forth in Section 3.1(xi); (ii) the Cloud Provider's use of
   the Materials must be solely on behalf of and in support of Your Product, and
   (iii) You will indemnify, hold harmless, and defend Intel and its suppliers
   from and against any claims or lawsuits, costs, damages, and expenses,
   including attorney's fees, that arise or result from Your Cloud Provider's
   use, misuse or disclosure of the Materials.

3. LICENSE CONDITIONS.

3.1 Restrictions. Except as expressly provided in this Agreement, You may NOT:
    (i) use, reproduce, disclose, distribute, or publicly display the
    Materials; (ii) share, publish, rent or lease the Materials to any third
    party; (iii) assign this Agreement or transfer the Materials; (iv) modify,
    adapt, or translate the Materials in whole or in part; (v) reverse engineer,
    decompile, or disassemble the Materials, or otherwise attempt to derive the
    source code for the software; (vi) work around any technical limitations in
    the Materials; (vii) distribute, sublicense or transfer any Source Code,
    modifications or Derivative Works of any Source Code to any third party;
    (viii) remove, minimize, block or modify any notices of Intel or its
    suppliers in the Materials; (ix) include the Redistributables in malicious,
    deceptive, or unlawful programs or products or use the Materials in any way
    that is against the law; (x) modify, create a Derivative Work, link, or
    distribute the Materials so that any part of it becomes Reciprocal Open
    Source Software; (xi) use the Materials directly or indirectly for SaaS
    services or service bureau purposes (i.e., a service that allows use of or
    access to the Materials by a third party as part of that service, such as
    the salesforce.com service business model).

3.2 Pre-Release Materials. If You receive Pre-Release Materials, You may
    reproduce a reasonable number of copies and use the Pre-Release Materials
    for evaluation and testing purposes only. You may not (i) modify or
    incorporate the Pre-Release Materials into Your Product; (ii) continue to
    use the Pre-Release Materials once a commercial version is released; or
    (iii) disclose to any third party any benchmarks, performance results, or
    other information relating to the Pre-Release Materials. Intel may waive
    these restrictions in writing at its sole discretion; however, if You decide
    to use the Pre-Release Materials in Your Product (even with Intel's waiver),
    You acknowledge and agree that You are fully responsible for any and all
    issues that result from such use.

3.3 Safety-Critical, and Life-Saving Applications; Indemnity. The Materials may
    provide information relevant to safety-critical applications
    ("Safety-Critical Applications") to allow compliance with functional safety
    standards or requirements. You acknowledge and agree that safety is Your
    responsibility. To the extent You use the Materials to create, or as part
    of, products used in Safety-Critical Applications, it is Your responsibility
    to design, manage, and ensure that there are system-level safeguards to
    anticipate, monitor, and control system failures, and You agree that You are
    solely responsible for all applicable regulatory standards and
    safety-related requirements concerning Your use of the Materials in Safety
    Critical Applications.

    Should You use the Materials for Safety-Critical Applications or in any type
    of a system or application in which the failure of the Materials could
    create a situation where personal injury or death may occur (e.g., medical
    systems, life-sustaining or life-saving systems) ("Life-Saving
    Applications"), You agree to indemnify, defend, and hold Intel and its
    representatives harmless against any claims or lawsuits, costs, damages, and
    expenses, including reasonable attorney fees, arising in any way out of Your
    use of the Materials in Safety-Critical Applications or Life-Saving
    Applications and claims of product liability, personal injury or death
    associated with those applications; even if such claims allege that Intel
    was negligent or strictly liable regarding the design or manufacture of the
    Materials or its failure to warn regarding the Materials.

3.4 Media Format Codecs and Digital Rights Management. You acknowledge and agree
    that Your use of the Materials or distribution of the Redistributables with
    Your Product as permitted by this Agreement may require You to procure
    license(s) from third parties that may hold intellectual property rights
    applicable to any media decoding, encoding or transcoding technology (e.g.,
    the use of an audio or video codec) and/or digital rights management
    capabilities of the Materials, if any. Should any such additional licenses
    be required, You are solely responsible for obtaining any such licenses and
    agree to obtain any such licenses at Your own expense.

4. DATA COLLECTION AND PRIVACY.

4.1 Data Collection. The Materials may generate and collect anonymous data
    and/or provisioning data about the Materials and/or the development
    environment and transmit the data to Intel as a one-time event during
    installation. Optional data may also be collected by the Materials, however,
    You will be provided notice of the request to collect optional data and no
    optional data will be collected without Your consent. All data collection by
    Intel is performed pursuant to relevant privacy laws, including notice and
    consent requirements.

4.2 Intel's Privacy Notice. Intel is committed to respecting Your privacy. To
    learn more about Intel's privacy practices, please visit
    http://www.intel.com/privacy.

5. OWNERSHIP. Title to the Materials and all copies remain with Intel or its
   suppliers. The Materials are protected by intellectual property rights,
   including without limitation, United States copyright laws and international
   treaty provisions. You will not remove any copyright or other proprietary
   notices from the Materials. Except as expressly provided herein, no license
   or right is granted to You directly or by implication, inducement, estoppel
   or otherwise; specifically, Intel does not grant any express or implied right
   to You under Intel patents, copyrights, trademarks, or trade secrets.

6. NO WARRANTY AND NO SUPPORT.

6.1 No Warranty. Disclaimer. Intel disclaims all warranties of any kind and the
    terms and remedies provided in this Agreement are instead of any other
    warranty or condition, express, implied or statutory, including those
    regarding merchantability, fitness for any particular purpose,
    non-infringement or any warranty arising out of any course of dealing, usage
    of trade, proposal, specification or sample. Intel does not assume (and does
    not authorize any person to assume on its behalf) any liability.

6.2 No Support; Priority Support. Intel may make changes to the Materials, or to
    items referenced therein, at any time without notice, but is not obligated
    to support, update or provide training for the Materials under the terms of
    this Agreement. Intel offers free community and paid priority support
    options. More information on these support options can be found at:
    https://software.intel.com/content/www/us/en/develop/support/priority-support.html.

7. LIMITATION OF LIABILITY.

7.1 Intel will not be liable for any of the following losses or damages (whether
    such losses or damages were foreseen, foreseeable, known or otherwise):  (i)
    loss of revenue; (ii) loss of actual or anticipated profits; (iii) loss of
    the use of money; (iv) loss of anticipated savings; (v) loss of business;
    (vi) loss of opportunity; (vii) loss of goodwill; (viii) loss of use of the
    Materials; (ix) loss of reputation; (x) loss of, damage to, or corruption of
    data; or (xi) any indirect, incidental, special or consequential loss of
    damage however caused (including loss or damage of the type specified in
    this Section 7).

7.2 Intel's total cumulative liability to You, including for direct damages for
    claims relating to this Agreement, and whether for breach of contract,
    negligence, or for any other reason, will not exceed $100.

7.3 You acknowledge that the limitations of liability provided in this Section 7
    are an essential part of this Agreement. You agree that the limitations of
    liability provided in this Agreement with respect to Intel will be conveyed
    to and made binding upon any customer of Yours that acquires the
    Redistributables.

8. USER SUBMISSIONS. Should you provide Intel with comments, modifications,
   corrections, enhancements or other input ("Feedback") related to the
   Materials, Intel will be free to use, disclose, reproduce, license or
   otherwise distribute or exploit the Feedback in its sole discretion without
   any obligations or restrictions of any kind, including without limitation,
   intellectual property rights or licensing obligations. If You wish to provide
   Intel with information that You intend to be treated as confidential
   information, Intel requires that such confidential information be provided
   pursuant to a non-disclosure agreement ("NDA"); please contact Your Intel
   representative to ensure the proper NDA is in place.

9. NON-DISCLOSURE. Information provided by Intel to You may include information
   marked as confidential. You must treat such information as confidential under
   the terms of the applicable NDA between Intel and You. If You have not
   entered into an NDA with Intel, You must not disclose, distribute or make use
   of any information marked as confidential, except as expressly authorized in
   writing by Intel. Intel retains all rights in and to its confidential
   information specifications, designs, engineering details, discoveries,
   inventions, patents, copyrights, trademarks, trade secrets, and other
   proprietary rights relating to the Materials. Any breach by You of the
   confidentiality obligations provided for in this Section 9 will cause
   irreparable injury to Intel for which money damages may be inadequate to
   compensate Intel for losses arising from such a breach. Intel may obtain
   equitable relief, including injunctive relief, if You breach or threaten to
   breach Your confidentiality obligations.

10. TERM AND TERMINATION. This Agreement becomes effective on the date You
    accept this Agreement and will continue until terminated as provided for in
   this Agreement. The term for any Pre-Release Materials terminates upon
   release of a commercial version. This Agreement will terminate if You are in
   breach of any of its terms and conditions. Upon termination, You will
   promptly destroy the Materials and all copies. In the event of termination of
   this Agreement, Your license to any Redistributables distributed by You in
   accordance with the terms and conditions of this Agreement, prior to the
   effective date of such termination, will survive any such termination of this
   Agreement. Sections 1, 2.1.D(4)(v), 2.2, 2.3.A(iii), 2.3.B(iii), 3.3, 5, 6,
   7, 8, 9, 10 (with respect to these survival provisions in the last sentence),
   and 12 will survive expiration or termination of this Agreement.

11. U.S. GOVERNMENT RESTRICTED RIGHTS. The technical data and computer software
    covered by this license is a "Commercial Item," as such term is defined by
    the FAR 2.101 (48 C.F.R. 2.101) and is "commercial computer software" and
    "commercial computer software documentation" as specified under FAR 12.212
    (48 C.F.R. 12.212) or DFARS 227.7202 (48 C.F.R. 227.7202), as applicable.
    This commercial computer software and related documentation is provided to
    end users for use by and on behalf of the U.S. Government with only those
    rights as are granted to all other end users pursuant to the terms and
    conditions of this Agreement.

12. GENERAL PROVISIONS.

12.1 ENTIRE AGREEMENT. This Agreement contains the complete and exclusive
     agreement and understanding between the parties concerning the subject
     matter of this Agreement, and supersedes all prior and contemporaneous
     proposals, agreements, understanding, negotiations, representations,
     warranties, conditions, and communications, oral or written, between the
     parties relating to the same subject matter. Each party acknowledges and
     agrees that in entering into this Agreement it has not relied on, and will
     not be entitled to rely on, any oral or written representations,
     warranties, conditions, understanding, or communications between the
     parties that are not expressly set forth in this Agreement. The express
     provisions of this Agreement control over any course of performance, course
     of dealing, or usage of the trade inconsistent with any of the provisions
     of this Agreement. The provisions of this Agreement will prevail
     notwithstanding any different, conflicting, or additional provisions that
     may appear on any purchase order, acknowledgement, invoice, or other
     writing issued by either party in connection with this Agreement. No
     modification or amendment to this Agreement will be effective unless in
     writing and signed by authorized representatives of each party, and must
     specifically identify this Agreement by its title and version (e.g., "Intel
     End User License Agreement for Developer Tools (Version October 2021)");
     except that Intel may make changes to this Agreement as it distributes new
     versions of the Materials. When changes are made, Intel will make a new
     version of the Agreement available on its website. If You received a copy
     of this Agreement translated into another language, the English language
     version of this Agreement will prevail in the event of any conflict between
     versions.

12.2 EXPORT. You acknowledge that the Materials and all related technical
     information are subject to export controls and you agree to comply with all
     laws and regulations of the United States and other applicable governments
     governing export, re-export, import, transfer, distribution, and use of the
     Materials. In particular, but without limitation, the Materials may not be
     exported or re-exported (i) into any U.S. embargoed countries or (ii) to
     any person or entity listed on a denial order published by the U.S.
     government or any other applicable governments. By using the Materials, You
     represent and warrant that You are not located in any such country or on
     any such list. You also agree that You will not use the Materials for, or
     sell or transfer them to a third party who is known or suspected to be
     involved in, any purposes prohibited by the U.S. government or other
     applicable governments, including, without limitation, the development,
     design, manufacture, or production of nuclear, missile, chemical or
     biological weapons.

12.3 GOVERNING LAW, JURISDICTION, AND VENUE. All disputes arising out of or
     related to this Agreement, whether based on contract, tort, or any other
     legal or equitable theory, will in all respects be governed by, and
     construed and interpreted under, the laws of the United States of America
     and the State of Delaware, without reference to conflict of laws
     principles. The parties agree that the United Nations Convention on
     Contracts for the International Sale of Goods (1980) is specifically
     excluded from and will not apply to this Agreement. All disputes arising
     out of or related to this Agreement, whether based on contract, tort, or
     any other legal or equitable theory, will be subject to the exclusive
     jurisdiction of the courts of the State of Delaware or of the Federal
     courts sitting in that State. Each party submits to the personal
     jurisdiction of those courts and waives all objections to that jurisdiction
     and venue for those disputes.

12.4 SEVERABILITY. The parties intend that if a court holds that any provision
     or part of this Agreement is invalid or unenforceable under applicable law,
     the court will modify the provision to the minimum extent necessary to make
     it valid and enforceable, or if it cannot be made valid and enforceable,
     the parties intend that the court will sever and delete the provision or
     part from this Agreement. Any change to or deletion of a provision or part
     of this Agreement under this Section will not affect the validity or
     enforceability of the remainder of this Agreement, which will continue in
     full force and effect.
```

UCRT (Redistributable files for Windows SDK)

<!-- Taken from conda-forge/win-64::ucrt-10.0.20348.0-h57928b3_0 -->

```
MICROSOFT SOFTWARE LICENSE TERMS
MICROSOFT WINDOWS SOFTWARE DEVELOPMENT KIT (SDK) FOR WINDOWS 10
_______________________________________________________________________________________________________
These license terms are an agreement between Microsoft Corporation (or based on where you live, one of its affiliates) and you. Please read them. They apply
to the software named above, which includes the media on which you received it, if any. The terms also apply to any Microsoft
    • APIs (i.e., APIs included with the installation of the SDK or APIs accessed by installing extension packages or service to use with the SDK),
    • updates,
    • supplements,
    • internet-based services, and
    • support services
for this software, unless other terms accompany those items. If so, those terms apply.
By using the software, you accept these terms. If you do not accept them, do not use the software.
As described below, using some features also operates as your consent to the transmission of certain standard computer information for Internet-based
services.
________________________________________________________________________________________________
If you comply with these license terms, you have the rights below.
    1. INSTALLATION AND USE RIGHTS.
        a. You may install and use any number of copies of the software on your devices to design, develop and test your programs that run on a Microsoft
operating system. Further, you may install, use and/or deploy via a network management system or as part of a desktop image, any number of copies of the
software on computer devices within your internal corporate network to design, develop and test your programs that run on a Microsoft operating system. Each
copy must be complete, including all copyright and trademark notices. You must require end users to agree to terms that protect the software as much as these
license terms.
        b. Utilities.  The software contains certain components that are identified in the Utilities List located at
http://go.microsoft.com/fwlink/?LinkId=524839.  Depending on the specific edition of the software, the number of Utility files you receive with the software
may not be equal to the number of Utilities listed in the Utilities List.   Except as otherwise provided on the Utilities List for specific files, you may
copy and install the Utilities you receive with the software on to other third party machines. These Utilities may only be used to debug and deploy your
programs and databases you have developed with the software.  You must delete all the Utilities installed onto a third party machine within the earlier of (i)
when you have finished debugging or deploying your programs; or (ii) thirty (30) days after installation of the Utilities onto that machine. We may add
additional files to this list from time to time.
        c. Build Services and Enterprise Build Servers.  You may install and use any number of copies of the software onto your build machines or servers,
solely for the purpose of:
            i. Compiling, building, verifying and archiving your programs;
            ii. Creating and configuring build systems internal to your organization to support your internal build environment; or
            iii. Enabling a service for third parties to design, develop and test programs or services that run on a Microsoft operating system.
        d. Included Microsoft Programs. The software contains other Microsoft programs. The license terms with those programs apply to your use of them.
        e. Third Party Notices.  The software may include third party code that Microsoft, not the third party, licenses to you under this agreement. Notices,
if any, for the third party code are included for your information only.  Notices, if any, for this third party code are included with the software and may be
located at http://aka.ms/thirdpartynotices.


        f.
    2. ADDITIONAL LICENSING REQUIREMENTS AND/OR USE RIGHTS.
        a. Distributable Code. The software contains code that you are permitted to distribute in programs you develop if you comply with the terms below.
            i. Right to Use and Distribute. The code and test files listed below are “Distributable Code”.
                • REDIST.TXT Files. You may copy and distribute the object code form of code listed in REDIST.TXT files plus the files listed on the
REDIST.TXT list located at http://go.microsoft.com/fwlink/?LinkId=524842. Depending on the specific edition of the software, the number of REDIST files you
receive with the software may not be equal to the number of REDIST files listed in the REDIST.TXT List. We may add additional files to the list from time to
time.
                • Third Party Distribution. You may permit distributors of your programs to copy and distribute the Distributable Code as part of those
programs.
            ii. Distribution Requirements. For any Distributable Code you distribute, you must
                • Add significant primary functionality to it in your programs;
                • For any Distributable Code having a filename extension of .lib, distribute only the results of running such Distributable Code through a
linker with your program;
                • Distribute Distributable Code included in a setup program only as part of that setup program without modification;
                • Require distributors and external end users to agree to terms that protect it at least as much as this agreement;
                • For Distributable Code from the Windows Performance Toolkit portions of the software, distribute the unmodified software package as a whole
with your programs, with the exception of the KernelTraceControl.dll and the WindowsPerformanceRecorderControl.dll which can be distributed with your
programs;
                • Display your valid copyright notice on your programs; and
                • Indemnify, defend, and hold harmless Microsoft from any claims, including attorneys’ fees, related to the distribution or use of your
programs.
            iii. Distribution Restrictions. You may not
                • Alter any copyright, trademark or patent notice in the Distributable Code;
                • Use Microsoft’s trademarks in your programs’ names or in a way that suggests your programs come from or are endorsed by Microsoft;
                • Distribute partial copies of the Windows Performance Toolkit portion of the software package with the exception of the
KernelTraceControl.dll and the WindowsPerformanceRecorderControl.dll which can be distributed with your programs;
                • Distribute Distributable Code to run on a platform other than the Microsoft operating system platform;
                • Include Distributable Code in malicious, deceptive or unlawful programs; or
                • Modified or distribute the source code of any Distributable Code so that any part of it becomes subject to an Excluded License. And Excluded
License is on that requir3es, as a condition of use, modification or distribution, that
                        ▪ The code be disclosed or distributed in source code form; or
                        ▪ Others have the right to modify it.
        b. Additional Rights and Restrictions for Features made Available with the Software.
            i. Windows App Requirements. If you intend to make your program available in the Windows Store, the program must comply with the Certification
Requirements as defined and described in the App Developer Agreement, currently available at:
https://msdn.microsoft.com/en-us/library/windows/apps/hh694058.aspx.
            ii. Bing Maps. The software may include features that retrieve content such as maps, images and other data through the Bing Maps (or successor
branded) application programming interface (the “Bing Maps API”) to create reports displaying data on top of maps, aerial and hybrid imagery. If these
features are included, you may use these features to create and view dynamic or static documents only in conjunction with and through methods and means of
access integrated in the software. You may not otherwise copy, store, archive, or create a database of the entity information including business names,
addresses and geocodes available through the Bing Maps API. You may not use the Bing Maps API to provide sensor based guidance/routing, nor use any Road
Traffic Data or Bird’s Eye Imager (or associated metadata) even if available through the Bing Maps API for any purpose. Your use of the Bing Maps API and
associated content is also subject to the additional terms and conditions at http://go.microsoft.com/fwlink/?LinkId=21969.
            iii. Additional Mapping APIs. The software may include application programming interfaces that provide maps and other related mapping features and
services that are not provided by Bing (the “Additional Mapping APIs”). These Additional Mapping APIs are subject to additional terms and conditions and may
require payment of fees to Microsoft and/or third party providers based on the use or volume of use of such Additional Mapping APIs. These terms and
conditions will be provided when you obtain any necessary license keys to use such Additional Mapping APIs or when you review or receive documentation related
to the use of such Additional Mapping APIs.
            iv. Push Notifications. The Microsoft Push Notification Service may not be used to send notifications that are mission critical or otherwise could
affect matters of life or death, including without limitation critical notifications related to a medical device or condition. MICROSOFT EXPRESSLY DISCLAIMS
ANY WARRANTIES THAT THE USE OF THE MICROSOFT PUSH NOTIFICATION SERVICE OR DELIVERY OF MICROSOFT PUSH NOTIFICATION SERVICE NOTIFICATIONS WILL BE UNINTERRUPTED,
ERROR FREE, OR OTHERWISE GUARANTEED TO OCCUR ON A REAL-TIME BASIS.
            v. Speech namespace API. Using speech recognition functionality via the Speech namespace APIs in a program requires the support of a speech
recognition service. The service may require network connectivity at the time of recognition (e.g., when using a predefined grammar). In addition, the service
may also collect speech-related data in order to provide and improve the service. The speech-related data may include, for example, information related to
grammar size and string phrases in a grammar.
            vi.     Also, in order for a user to use speech recognition on the phone they must first accept certain terms of use. The terms of use notify the
user that data related to their use of the speech recognition service will be collected and used to provide and improve the service. If a user does not accept
the terms of use and speech recognition is attempted by the application, the operation will not work and an error will be returned to the application.
            vii. PlayReady Support. The software may include the Windows Emulator, which contains Microsoft’s PlayReady content access technology.  Content
owners use Microsoft PlayReady content access technology to protect their intellectual property, including copyrighted content.  This software uses PlayReady
technology to access PlayReady-protected content and/or WMDRM-protected content.  Microsoft may decide to revoke the software’s ability to consume
PlayReady-protected content for reasons including but not limited to (i) if a breach or potential breach of PlayReady technology occurs, (ii) proactive
robustness enhancement, and (iii) if Content owners require the revocation because the software fails to properly enforce restrictions on content usage.
Revocation should not affect unprotected content or content protected by other content access technologies.  Content owners may require you to upgrade
PlayReady to access their content.  If you decline an upgrade, you will not be able to access content that requires the upgrade and may not be able to install
other operating system updates or upgrades.
            viii. Package Managers. The software may include package managers, like NuGet, that give you the option to download other Microsoft and third
party software packages to use with your application. Those packages are under their own licenses, and not this agreement. Microsoft does not distribute,
license or provide any warranties for any of the third party packages.
            ix. Font Components. While the software is running, you may use its fonts to display and print content. You may only embed fonts in content as
permitted by the embedding restrictions in the fonts; and temporarily download them to a printer or other output device to help print content.
            x. Notice about the H.264/AVD Visual Standard, and the VC-1 Video Standard. This software may include H.264/MPEG-4 AVC and/or VD-1 decoding
technology. MPEG LA, L.L.C. requires this notice:
        c. THIS PRODUCT IS LICENSED UNDER THE AVC AND THE VC-1 PATENT PORTFOLIO LICENSES FOR THE PERSONAL AND NON-COMMERCIAL USE OF A CONSUMER TO (i) ENCODE
VIDEO IN COMPLIANCE WITH THE ABOVE STANDARDS (“VIDEO STANDARDS”) AND/OR (ii) DECODE AVC, AND VC-1 VIDEO THAT WAS ENCODED BY A CONSUMER ENGAGED IN A PERSONAL
AND NON-COMMERCIAL ACTIVITY AND/OR WAS OBTAINED FROM A VIDEO PROVIDER LICENSED TO PROVIDE SUCH VIDEO. NONE OF THE LICENSES EXTEND TO ANY OTHER PRODUCT
REGARDLESS OF WHETHER SUCH PRODUCT IS INCLUDED WITH THIS SOFTWARE IN A SINGLE ARTICLE. NO LICENSE IS GRANTED OR SHALL BE IMPLIED FOR ANY OTHER USE. ADDITIONAL
INFORMATION MAY BE OBTAINED FROM MPEG LA, L.L.C. SEE WWW.MPEGLA.COM.
        d. For clarification purposes, this notice does not limit or inhibit the use of the software for normal business uses that are personal to that
business which do not include (i) redistribution of the software to third parties, or (ii) creation of content with the VIDEO STANDARDS compliant technologies
for distribution to third parties.
        e. INTERNET-BASED SERVICES. Microsoft provides Internet-based services with the software. It may change or cancel them at any time.
        f. Consent for Internet-Based Services. The software features described below and in the privacy statement at
http://go.microsoft.com/fwlink/?LinkId=521839 connect to Microsoft or service provider computer systems over the Internet. In some cases, you will not receive
a separate notice when they connect. In some cases, you may switch off these features or not use them as described in the applicable product documentation. By
using these features, you consent to the transmission of this information. Microsoft does not use the information to identify or contact you.
            i. Computer Information. The following features use Internet protocols, which send to the appropriate systems computer information, such as your
Internet protocol address, the type of operating system, browser, and name and version of the software you are using, and the language code of the device
where you installed the software. Microsoft uses this information to make the Internet-based services available to you.
                • Software Use and Performance.  This software collects info about your hardware and how you use the software and automatically sends error
reports to Microsoft.  These reports include information about problems that occur in the software.  Reports might unintentionally contain personal
information. For example, a report that contains a snapshot of computer memory might include your name. Part of a document you were working on could be
included as well, but this information in reports or any info collected about hardware or your software use will not be used to identify or contact you.
                • Digital Certificates. The software uses digital certificates. These digital certificates confirm the identity of Internet users sending
X.509 standard encryption information. They also can be used to digitally sign files and macros to verify the integrity and origin of the file contents. The
software retrieves certificates and updates certificate revocation lists using the Internet, when available.
                • Windows Application Certification Kit. To ensure you have the latest certification tests, when launched this software periodically checks a
Windows Application Certification Kit file on download.microsft.com to see if an update is available.  If an update is found, you are prompted and provided a
link to a web site where you can download the update. You may use the Windows Application Certification Kit solely to test your programs before you submit
them for a potential Microsoft Windows Certification and for inclusion on the Microsoft Windows Store. The results you receive are for informational purposes
only. Microsoft has no obligation to either (i) provide you with a Windows Certification for your programs and/or ii) include your program in the Microsoft
Windows Store.
                • Microsoft Digital Rights Management for Silverlight.
                • If you use Silverlight to access content that has been protected with Microsoft Digital Rights Management (DRM), in order to let you play
the content, the software may automatically
                • request media usage rights from a rights server on the Internet and
                • download and install available DRM Updates.
                • For more information about this feature, including instructions for turning the Automatic Updates off, go to
http://go.microsoft.com/fwlink/?LinkId=147032.
                1. Web Content Features.  Features in the software can retrieve related content from Microsoft and provide it to you. To provide the content,
these features send to Microsoft the type of operating system, name and version of the software you are using, type of browser and language code of the device
where you installed the software. Examples of these features are clip art, templates, online training, online assistance, help and Appshelp. You may choose
not to use these web content features.
            ii. Use of Information. We may use  nformation collected about software use and performance to provide and improve Microsoft software and services
as further described in Microsoft’s Privacy Statement available at: https://go.microsoft.com/fwlink/?LinkID=521839. We may also share it with others, such as
hardware and software vendors. They may use the information to improve how their products run with Microsoft software.
            iii. Misuse of Internet-based Services. You may not use these services in any way that could harm them or impair anyone else’s use of them. You
may not use the services to try to gain unauthorized access to any service, data, account or network by any means.
    3. YOUR COMPLIANCE WITH PRIVACY AND DATA PROTECTION LAWS.
        a. Personal Information Definition. "Personal Information" means any information relating to an identified or identifiable natural person; an
identifiable natural person is one who can be identified, directly or indirectly, in particular by reference to an identifier such as a name, an
identification number, location data, an online identifier or to one or more factors specific to the physical, physiological, genetic, mental, economic,
cultural or social identity of that natural person.
        b. Collecting Personal Information using Packaged and Add-on APIs.  If you use any API to collect personal information from the software, you must
comply with all laws and regulations applicable to your use of the data accessed through APIs including without limitation laws related to privacy, biometric
data, data protection, and confidentiality of communications. Your use of the software is conditioned upon implementing and maintaining appropriate
protections and measures for your applications and services, and that includes your responsibility to the data obtained through the use of APIs. For the data
you obtained through any APIs, you must:
            i. obtain all necessary consents before collecting and using data and only use the data for the limited purposes to which the user consented,
including any consent to changes in use;
            ii. In the event you’re storing data, ensure that data is kept up to date and implement corrections, restrictions to data, or the deletion of data
as updated through packaged or add-on APIs or upon user request if required by applicable law;
            iii. implement proper retention and deletion policies, including deleting all data when as directed by your users or as required by applicable
law; and
            iv. maintain and comply with a written statement available to your customers that describes your privacy practices regarding data and information
you collect, use and that you share with any third parties.
        c. Location Framework. The software may contain a location framework component or APIs that enable support of location services in programs.
Programs that receive device location must comply with the requirements related to the Location Service APIs as described in the Microsoft Store Policies
(https://docs.microsoft.com/en-us/legal/windows/agreements/store-policies).   If you choose to collect device location data outside of the control of Windows
system settings, you must obtain legally sufficient consent for your data practices, and such practices must comply with all other applicable laws and
regulations. 
        d. Security.  If your application or service collects, stores or transmits personal information, it must do so securely, by using modern cryptography
methods.
    4. BACKUP COPY. You may make one backup copy of the software. You may use it only to reinstall the software.
    5. DOCUMENTATION. Any person that has valid access to your computer or internal network may copy and use the documentation for your internal, reference
purposes.
    6. SCOPE OF LICENSE. The software is licensed, not sold. This agreement only gives you some rights to use the software. Microsoft reserves all other
rights. Unless applicable law gives you more rights despite this limitation, you may use the software only as expressly permitted in this agreement. In doing
so, you must comply with any technical limitations in the software that only allow you to use it in certain ways. You may not
    • Except for the Microsoft .NET Framework, you must obtain Microsoft's prior written approval to disclose to a third party the results of any benchmark
test of the software.
    • work around any technical limitations in the software;
    • reverse engineer, decompile or disassemble the software, except and only to the extent that applicable law expressly permits, despite this limitation;
    • make more copies of the software than specified in this agreement or allowed by applicable law, despite this limitation;
    • publish the software for others to copy;
    • rent, lease or lend the software;
    • transfer the software or this agreement to any third party; or
    • use the software for commercial software hosting services.
    7. EXPORT RESTRICTIONS. The software is subject to United States export laws and regulations. You must comply with all domestic and international export
laws and regulations that apply to the software. These laws include restrictions on destinations, end users and end use. For additional information, see
www.microsoft.com/exporting.
    8. SUPPORT SERVICES. Because this software is “as is,” we may not provide support services for it.
    9. ENTIRE AGREEMENT. This agreement, and the terms for supplements, updates, Internet-based services and support services that you use, are the entire
agreement for the software and support services.
    10. INDEPENDENT PARTIES.  Microsoft and you are independent contractors. Nothing in this agreement shall be construed as creating an employer-employee
relationship, processor-subprocessor relationship, a partnership, or a joint venture between the parties.
    11. APPLICABLE LAW AND PLACE TO RESOLVE DISPUTES. If you acquired the software in the United States or Canada, the laws of the state or province where you
live (or, if a business, where your principal place of business is located) govern the interpretation of this agreement, claims for its breach, and all other
claims (including consumer protection, unfair competition, and tort claims), regardless of conflict of laws principles. If you acquired the software in any
other country, its laws apply. If U.S. federal jurisdiction exists, you and Microsoft consent to exclusive jurisdiction and venue in the federal court in King
County, Washington for all disputes heard in court. If not, you and Microsoft consent to exclusive jurisdiction and venue in the Superior Court of King
County, Washington for all disputes heard in court.
    12. LEGAL EFFECT. This agreement describes certain legal rights. You may have other rights under the laws of your country. You may also have rights with
respect to the party from whom you acquired the software. This agreement does not change your rights under the laws of your country if the laws of your
country do not permit it to do so.
    13. DISCLAIMER OF WARRANTY. The software is licensed “as-is.” You bear the risk of using it. Microsoft gives no express warranties, guarantees or
conditions. You may have additional consumer rights or statutory guarantees under your local laws which this agreement cannot change. To the extent permitted
under your local laws, Microsoft excludes the implied warranties of merchantability, fitness for a particular purpose and non-infringement.
FOR AUSTRALIA – You have statutory guarantees under the Australian Consumer Law and nothing in these terms is intended to affect those rights.
    14. LIMITATION ON AND EXCLUSION OF REMEDIES AND DAMAGES. You can recover from Microsoft and its suppliers only direct damages up to U.S. $5.00. You cannot
recover any other damages, including consequential, lost profits, special, indirect or incidental damages.
This limitation applies to
    • anything related to the software, services, content (including code) on third party Internet sites, or third party programs; and
    • claims for breach of contract, breach of warranty, guarantee or condition, strict liability, negligence, or other tort to the extent permitted by
applicable law.
It also applies even if Microsoft knew or should have known about the possibility of the damages. The above limitation or exclusion may not apply to you
because your country may not allow the exclusion or limitation of incidental, consequential or other damages.

Please note: As this software is distributed in Quebec, Canada, some of the clauses in this agreement are provided below in French.
Remarque : Ce logiciel étant distribué au Québec, Canada, certaines des clauses dans ce contrat sont fournies ci-dessous en français.
EXONÉRATION DE GARANTIE. Le logiciel visé par une licence est offert « tel quel ». Toute utilisation de ce logiciel est à votre seule risque et péril.
Microsoft n’accorde aucune autre garantie expresse. Vous pouvez bénéficier de droits additionnels en vertu du droit local sur la protection des consommateurs,
que ce contrat ne peut modifier. La ou elles sont permises par le droit locale, les garanties implicites de qualité marchande, d’adéquation à un usage
particulier et d’absence de contrefaçon sont exclues.
LIMITATION DES DOMMAGES-INTÉRÊTS ET EXCLUSION DE RESPONSABILITÉ POUR LES DOMMAGES. Vous pouvez obtenir de Microsoft et de ses fournisseurs une indemnisation
en cas de dommages directs uniquement à hauteur de 5,00 $ US. Vous ne pouvez prétendre à aucune indemnisation pour les autres dommages, y compris les dommages
spéciaux, indirects ou accessoires et pertes de bénéfices.
Crete limitation concern:
    • tout ce qui est relié au logiciel, aux services ou au contenu (y compris le code) figurant sur des sites Internet tiers ou dans des programmes tiers ;
et
    • les réclamations au titre de violation de contrat ou de garantie, ou au titre de responsabilité stricte, de négligence ou d’une autre faute dans la
limite autorisée par la loi en vigueur.
Elle s’applique également, même si Microsoft connaissait ou devrait connaître l’éventualité d’un tel dommage. Si votre pays n’autorise pas l’exclusion ou la
limitation de responsabilité pour les dommages indirects, accessoires ou de quelque nature que ce soit, il se peut que la limitation ou l’exclusion ci-dessus
ne s’appliquera pas à votre égard.
EFFET JURIDIQUE. Le présent contrat décrit certains droits juridiques. Vous pourriez avoir d’autres droits prévus par les lois de votre pays. Le présent
contrat ne modifie pas les droits que vous confèrent les lois de votre pays si celles-ci ne le permettent pas.
***************
EULAID:WIN10SDK.RTM.AUG_2018_en-US


*************************************************************************
```

Microsoft Visual C++ 2019 Runtime

```
MICROSOFT SOFTWARE LICENSE TERMS

MICROSOFT VISUAL C++ 2019 RUNTIME

These license terms are an agreement between Microsoft Corporation (or
based on where you live, one of its affiliates) and you. They apply to
the software named above. The terms also apply to any Microsoft services
or updates for the software, except to the extent those have different
terms.

IF YOU COMPLY WITH THESE LICENSE TERMS, YOU HAVE THE RIGHTS BELOW.

-   INSTALLATION AND USE RIGHTS.

-   You may install and use any number of copies of the software.

-   TERMS FOR SPECIFIC COMPONENTS.

    -   MICROSOFT PLATFORMS. The software may include components from
        Microsoft Windows; Microsoft Windows Server; Microsoft SQL
        Server; Microsoft Exchange; Microsoft Office; and Microsoft
        SharePoint. These components are governed by separate agreements
        and their own product support policies, as described in the
        Microsoft “Licenses” folder accompanying the software, except
        that, if license terms for those components are also included in
        the associated installation directory, those license terms
        control.

    -   THIRD PARTY COMPONENTS.  The software may include third party
        components with separate legal notices or governed by other
        agreements, as may be described in the ThirdPartyNotices file(s)
        accompanying the software. 

-   SCOPE OF LICENSE. The software is licensed, not sold. This agreement
    only gives you some rights to use the software. Microsoft reserves
    all other rights. Unless applicable law gives you more rights
    despite this limitation, you may use the software only as expressly
    permitted in this agreement. In doing so, you must comply with any
    technical limitations in the software that only allow you to use it
    in certain ways. You may not

    -   work around any technical limitations in the software;

    -   reverse engineer, decompile or disassemble the software, or
        otherwise attempt to derive the source code for the software
        except, and only to the extent required by third party licensing
        terms governing the use of certain open source components that
        may be included in the software;

    -   remove, minimize, block or modify any notices of Microsoft or
        its suppliers in the software;

    -   use the software in any way that is against the law; or

    -   share, publish, rent or lease the software, or provide the
        software as a stand-alone offering for others to use, or
        transfer the software or this agreement to any third party.

-   EXPORT RESTRICTIONS. You must comply with all domestic and
    international export laws and regulations that apply to the
    software, which include restrictions on destinations, end users, and
    end use. For further information on export restrictions, visit
    www.microsoft.com/exporting.

-   SUPPORT SERVICES. Because this software is “as is,” we may not
    provide support services for it.

-   ENTIRE AGREEMENT. This agreement, and the terms for supplements,
    updates, Internet-based services and support services that you use,
    are the entire agreement for the software and support services.

-   APPLICABLE LAW. If you acquired the software in the United States,
    Washington law applies to interpretation of and claims for breach of
    this agreement, and the laws of the state where you live apply to
    all other claims. If you acquired the software in any other country,
    its laws apply.

-   CONSUMER RIGHTS; REGIONAL VARIATIONS. This agreement describes
    certain legal rights. You may have other rights, including consumer
    rights, under the laws of your state or country. Separate and apart
    from your relationship with Microsoft, you may also have rights with
    respect to the party from which you acquired the software. This
    agreement does not change those other rights if the laws of your
    state or country do not permit it to do so. For example, if you
    acquired the software in one of the below regions, or mandatory
    country law applies, then the following provisions apply to you:

    -   AUSTRALIA. You have statutory guarantees under the Australian
        Consumer Law and nothing in this agreement is intended to affect
        those rights.

    -   CANADA. If you acquired this software in Canada, you may stop
        receiving updates by turning off the automatic update feature,
        disconnecting your device from the Internet (if and when you
        re-connect to the Internet, however, the software will resume
        checking for and installing updates), or uninstalling the
        software. The product documentation, if any, may also specify
        how to turn off updates for your specific device or software.

    -   GERMANY AND AUSTRIA.

        (i) WARRANTY. The properly licensed software will perform
        substantially as described in any Microsoft materials that
        accompany the software. However, Microsoft gives no contractual
        guarantee in relation to the licensed software.

        (ii) LIMITATION OF LIABILITY. In case of intentional conduct,
        gross negligence, claims based on the Product Liability Act, as
        well as, in case of death or personal or physical injury,
        Microsoft is liable according to the statutory law.

    -   Subject to the foregoing clause (ii), Microsoft will only be
        liable for slight negligence if Microsoft is in breach of such
        material contractual obligations, the fulfillment of which
        facilitate the due performance of this agreement, the breach of
        which would endanger the purpose of this agreement and the
        compliance with which a party may constantly trust in (so-called
        "cardinal obligations"). In other cases of slight negligence,
        Microsoft will not be liable for slight negligence.

-   DISCLAIMER OF WARRANTY. THE SOFTWARE IS LICENSED “AS-IS.” YOU BEAR
    THE RISK OF USING IT. MICROSOFT GIVES NO EXPRESS WARRANTIES,
    GUARANTEES OR CONDITIONS. TO THE EXTENT PERMITTED UNDER YOUR LOCAL
    LAWS, MICROSOFT EXCLUDES THE IMPLIED WARRANTIES OF MERCHANTABILITY,
    FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.

-   LIMITATION ON AND EXCLUSION OF DAMAGES. YOU CAN RECOVER FROM
    MICROSOFT AND ITS SUPPLIERS ONLY DIRECT DAMAGES UP TO U.S. $5.00.
    YOU CANNOT RECOVER ANY OTHER DAMAGES, INCLUDING CONSEQUENTIAL, LOST
    PROFITS, SPECIAL, INDIRECT OR INCIDENTAL DAMAGES.

    This limitation applies to (a) anything related to the software,
    services, content (including code) on third party Internet sites, or
    third party applications; and (b) claims for breach of contract,
    breach of warranty, guarantee or condition, strict liability,
    negligence, or other tort to the extent permitted by applicable law.

    It also applies even if Microsoft knew or should have known about
    the possibility of the damages. The above limitation or exclusion
    may not apply to you because your country may not allow the
    exclusion or limitation of incidental, consequential or other
    damages.
```
